/*
 *
 *  Copyright (C) Rational Software Corporation, 1986, 1987, 1988,
 *      1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997,
 *      1998
 *  ALL RIGHTS RESERVED WORLDWIDE.
 *
 *  This Module contains Proprietary Information of
 *  Rational Software Corporation
 *  and should be treated as Confidential.
 *
 *  SQAVu is a trademark of Rational Software Corporation.
 *
 */


#ifndef __SQAVU_JOLT_H_INCLUDED

#define JOLT_CALL_RQST 200
#define JOLT_CALL_RESP 201
#define JOLT_DEQUEUE_RQST 204
#define JOLT_DEQUEUE_RESP 205
#define JOLT_CONNECT_RQST 206
#define JOLT_CONNECT_RESP 207
#define JOLT_SEND_RQST 208
#define JOLT_SEND_RESP 209
#define JOLT_RECV_RQST 210
#define JOLT_RECV_RESP 211
#define JOLT_DISCONNECT_RQST 212
#define JOLT_DISCONNECT_RESP 213
#define JOLT_SUBSCRIBE_RQST 300
#define JOLT_SUBSCRIBE_RESP 301
#define JOLT_UNSUBSCRIBE_RQST 302
#define JOLT_UNSUBSCRIBE_RESP 303
#define JOLT_NOTIFY_RQST 304
#define JOLT_NOTIFY_RESP 305
#define JOLT_POST_RQST 306
#define JOLT_POST_RESP 307
#define JOLT_UNSOL_RQST 308
#define JOLT_UNSOL_RESP 309
#define JOLT_CHKUNSOL_RQST 310
#define JOLT_CHKUNSOL_RESP 311
#define JOLT_GETCONFIG_RQST 400
#define JOLT_GETCONFIG_RESP 401
#define JOLT_LOGON_RQST 402
#define JOLT_LOGON_RESP 403
#define JOLT_LOGOFF_RQST 404
#define JOLT_LOGOFF_RESP 405
#define JOLT_GETDEF_RQST 500
#define JOLT_GETDEF_RESP 501
#define JOLT_GETDEFX_RQST 502
#define JOLT_GETDEFX_RESP 503

#define JOLT_RETAINED 1
#define JOLT_TRANSIENT 2

#define jolt_getatt_authlevel() (jolt_aget_int(19))
#define jolt_getatt_clientdata() (jolt_aget_int(12))
#define jolt_getatt_e_errno() (jolt_aget_int(34))
#define jolt_getatt_errno() (jolt_aget_int(5))
#define jolt_getatt_flags() (jolt_aget_int(8))
#define jolt_getatt_idle() (jolt_aget_int(21))
#define jolt_getatt_joltvers() (jolt_aget_int(20))
#define jolt_getatt_netmsgid() (jolt_aget_int(33))
#define jolt_getatt_numevents() (jolt_aget_int(31))
#define jolt_getatt_priority() (jolt_aget_int(26))
#define jolt_getatt_repnrecs() (jolt_aget_int(3))
#define jolt_getatt_sid() (jolt_aget_int(30))
#define jolt_getatt_timeout() (jolt_aget_int(7))
#define jolt_getatt_tuxvers() (jolt_aget_int(18))
#define jolt_getatt_type() (jolt_aget_int(32))
#define jolt_getatt_version() (jolt_aget_int(11))
#define jolt_getatt_xid() (jolt_aget_int(27))
#define jolt_getatt_appasswd() (jolt_aget_str(16))
#define jolt_getatt_corrid() (jolt_aget_str(23))
#define jolt_getatt_data() (jolt_aget_str(9))
#define jolt_getatt_e_reason() (jolt_aget_str(35))
#define jolt_getatt_errorq() (jolt_aget_str(25))
#define jolt_getatt_event() (jolt_aget_str(28))
#define jolt_getatt_filter() (jolt_aget_str(29))
#define jolt_getatt_groupnm() (jolt_aget_str(17))
#define jolt_getatt_msgid() (jolt_aget_str(22))
#define jolt_getatt_name() (jolt_aget_str(10))
#define jolt_getatt_passwd() (jolt_aget_str(15))
#define jolt_getatt_reason() (jolt_aget_str(6))
#define jolt_getatt_replyq() (jolt_aget_str(24))
#define jolt_getatt_repname() (jolt_aget_str(1))
#define jolt_getatt_reppattern() (jolt_aget_str(4))
#define jolt_getatt_repvalue() (jolt_aget_str(2))
#define jolt_getatt_username() (jolt_aget_str(13))
#define jolt_getatt_userrole() (jolt_aget_str(14))
#define jolt_setatt_authlevel(A) (jolt_aset_int(19,A))
#define jolt_setatt_clientdata(A) (jolt_aset_int(12,A))
#define jolt_setatt_e_errno(A) (jolt_aset_int(34,A))
#define jolt_setatt_errno(A) (jolt_aset_int(5,A))
#define jolt_setatt_flags(A) (jolt_aset_int(8,A))
#define jolt_setatt_idle(A) (jolt_aset_int(21,A))
#define jolt_setatt_joltvers(A) (jolt_aset_int(20,A))
#define jolt_setatt_netmsgid(A) (jolt_aset_int(33,A))
#define jolt_setatt_numevents(A) (jolt_aset_int(31,A))
#define jolt_setatt_priority(A) (jolt_aset_int(26,A))
#define jolt_setatt_repnrecs(A) (jolt_aset_int(3,A))
#define jolt_setatt_sid(A) (jolt_aset_int(30,A))
#define jolt_setatt_timeout(A) (jolt_aset_int(7,A))
#define jolt_setatt_tuxvers(A) (jolt_aset_int(18,A))
#define jolt_setatt_type(A) (jolt_aset_int(32,A))
#define jolt_setatt_version(A) (jolt_aset_int(11,A))
#define jolt_setatt_xid(A) (jolt_aset_int(27,A))
#define jolt_setatt_appasswd(A) (jolt_aset_str(16,A))
#define jolt_setatt_corrid(A) (jolt_aset_str(23,A))
#define jolt_setatt_data(A) (jolt_aset_str(9,A))
#define jolt_setatt_e_reason(A) (jolt_aset_str(35,A))
#define jolt_setatt_errorq(A) (jolt_aset_str(25,A))
#define jolt_setatt_event(A) (jolt_aset_str(28,A))
#define jolt_setatt_filter(A) (jolt_aset_str(29,A))
#define jolt_setatt_groupnm(A) (jolt_aset_str(17,A))
#define jolt_setatt_msgid(A) (jolt_aset_str(22,A))
#define jolt_setatt_name(A) (jolt_aset_str(10,A))
#define jolt_setatt_passwd(A) (jolt_aset_str(15,A))
#define jolt_setatt_reason(A) (jolt_aset_str(6,A))
#define jolt_setatt_replyq(A) (jolt_aset_str(24,A))
#define jolt_setatt_repname(A) (jolt_aset_str(1,A))
#define jolt_setatt_reppattern(A) (jolt_aset_str(4,A))
#define jolt_setatt_repvalue(A) (jolt_aset_str(2,A))
#define jolt_setatt_username(A) (jolt_aset_str(13,A))
#define jolt_setatt_userrole(A) (jolt_aset_str(14,A))
#define jolt_challenge_ticket() (jolt_bget_int(0))
#define jolt_checkauth_authtype() (jolt_bget_int(1))
#define jolt_checkauth_idletimeout() (jolt_bget_int(2))
#define jolt_checkauth_joltversion() (jolt_bget_int(3))
#define jolt_checkauth_mode() (jolt_bget_int(4))
#define jolt_checkauth_tuxedoversion() (jolt_bget_int(5))
#define jolt_close_status() (jolt_bget_int(6))
#define jolt_estcon_authtype() (jolt_bget_int(7))
#define jolt_estcon_handlerpid() (jolt_bget_int(8))
#define jolt_estcon_notify() (jolt_bget_int(9))
#define jolt_estcon_options() (jolt_bget_int(10))
#define jolt_estcon_timestamp() (jolt_bget_int(11))
#define jolt_estcon_usignal() (jolt_bget_int(12))
#define jolt_reconnect_status() (jolt_bget_int(13))
#define jolt_ticket_status() (jolt_bget_int(14))
#define jolt_challenge_clear88bits() (jolt_bget_str(0))
#define jolt_challenge_encryptedbits() (jolt_bget_str(1))
#define jolt_challenge_sesskey() (jolt_bget_str(2))
#define jolt_checkauth_pad() (jolt_bget_str(3))
#define jolt_dataxfer_attribute_list() (jolt_bget_str(4))
#define jolt_estcon_handleraddr() (jolt_bget_str(5))
#define jolt_header_magic() (jolt_hget_int(0))
#define jolt_header_version() (jolt_hget_int(1))
#define jolt_header_length() (jolt_hget_int(2))
#define jolt_header_flags() (jolt_hget_int(3))
#define jolt_header_msgcode() (jolt_hget_int(4))
#define jolt_header_msglen() (jolt_hget_int(5))
#define jolt_header_sessionid() (jolt_hget_int(6))
#define jolt_header_handlerid() (jolt_hget_int(7))
#define jolt_header_msgid() (jolt_hget_int(8))
#define jolt_header_checksum() (jolt_hget_int(9))
#define jolt_header_reserved() (jolt_hget_str(0))
#define jolt_getpar_char(A) (jolt_pget_int(2,A))
#define jolt_getpar_long(A) (jolt_pget_int(1,A))
#define jolt_getpar_short(A) (jolt_pget_int(0,A))
#define jolt_getpar_carray(A) (jolt_pget_str(6,A))
#define jolt_getpar_double(A) (jolt_pget_str(4,A))
#define jolt_getpar_float(A) (jolt_pget_str(3,A))
#define jolt_getpar_string(A) (jolt_pget_str(5,A))
#define jolt_setpar_char(A,B) (jolt_pset_int(2,A,B))
#define jolt_setpar_long(A,B) (jolt_pset_int(1,A,B))
#define jolt_setpar_short(A,B) (jolt_pset_int(0,A,B))
#define jolt_setpar_carray(A,B) (jolt_pset_str(6,A,B))
#define jolt_setpar_double(A,B) (jolt_pset_str(4,A,B))
#define jolt_setpar_float(A,B) (jolt_pset_str(3,A,B))
#define jolt_setpar_string(A,B) (jolt_pset_str(5,A,B))

#define __SQAVU_JOLT_H_INCLUDED
#endif  /* __SQAVU_JOLT_H_INCLUDED */
