/*
 * Licensed Materials - Use restricted. For use in compiling interfaces to
 * IBM Rational TestManager.
 * (c) Copyright IBM Corporation 2001, 2002, 2003, 2006.  All Rights Reserved.
 */

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////


#include <windows.h>
#include <mbstring.h>
#include "proxhdr.h"
#include "proxutil.h"
#include "HelloWorldTestDll.h"		
// local
#include "APIRecordingAdapter.h"


////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
// Function Definitions
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

/*
This example proxy or wrapper DLL, has two proxy intercept functions,
pHelloWorld1 and pHelloWorld2.

They will get called when the Real functions, HelloWorld1 and HelloWorld2 are 
called from the Test App.

*/

BOOL pHelloWorld1(LPSTR lpStr) // notice the p in front of the name
{
	BOOL bret;
	DWORD dwTicket;
	DWORD dwTime;
#ifdef _DEBUG
	char buf[100];
#endif // def _DEBUG

	dwTicket = ProxyGetTicket();

	if (dwTicket > PROXY_INVALID_TICKET)
	{
		dwTime = ProxyGetTimeStamp();
	}

#ifdef _DEBUG
	// if you see this message box when running the test app
	// your sample is working properly
	wsprintf(buf, "lib= %d Intercepted!", gbLibID);
	MessageBox(NULL, lpStr, buf, MB_OK);
#endif // def _DEBUG

	bret = HelloWorld1(lpStr);

	__try{
		if (dwTicket > PROXY_INVALID_TICKET)
		{
			S_HELLOWORLD **lpsInt;

		
			lpsInt = (S_HELLOWORLD **)ProxyLockNew(dwTicket,
							dwTime, gbLibID,
							P_HELLOWORLD1, API_SINGLE,
							sizeof(S_HELLOWORLD));

			(*lpsInt)->bReturn = bret;
			
			if (lpStr)
			{
				(*lpsInt)->iOffszStr = ProxyWriteBlock(lpStr, _mbslen(lpStr) + 1);
			}
			

			ProxyUnlock(0);

		}
	}
	__except(EXCEPTION_EXECUTE_HANDLER){
		ProxyExceptionHandler(gbLibID, P_HELLOWORLD1);
	}
	return bret;
}


BOOL pHelloWorld2(LPSTR lpStr) // notice the p in front of the name
{
	BOOL bret;
	DWORD dwTicket;
	DWORD dwTime;
#ifdef _DEBUG
	char buf[100];
#endif // def _DEBUG

	dwTicket = ProxyGetTicket();

#ifdef _DEBUG
	// if you see this message box when running the test app
	// your sample is working properly
	wsprintf(buf, "lib= %d Intercepted!", gbLibID);
	MessageBox(NULL, lpStr, buf, MB_OK);
#endif // def _DEBUG

	if (dwTicket > PROXY_INVALID_TICKET)
	{
		dwTime = ProxyGetTimeStamp();
	}

	bret = HelloWorld2(lpStr);

	__try{
		if (dwTicket > PROXY_INVALID_TICKET)
		{
			S_HELLOWORLD **lpsInt;

		
			lpsInt = (S_HELLOWORLD **)ProxyLockNew(dwTicket,
							dwTime, gbLibID,
							P_HELLOWORLD2, API_SINGLE,
							sizeof(S_HELLOWORLD));

			(*lpsInt)->bReturn = bret;
			
			if (lpStr)
			{
				(*lpsInt)->iOffszStr = ProxyWriteBlock(lpStr, _mbslen(lpStr) + 1);
			}
			

			ProxyUnlock(0);

		}
	}
	__except(EXCEPTION_EXECUTE_HANDLER){
		ProxyExceptionHandler(gbLibID, P_HELLOWORLD2);
	}
	return bret;
}
